/* 
 * File:   EEPROM.h
 * Author: chengo_cc
 *
 * Created on 19 January 2016, 5:37 PM
 */

#ifndef EEPROM_H
//------------------------------------------------------------------------------
void EEPROM_write(char address,char data)
{
  EEADR = address;             //Address to write
  EEDATA = data;               //Data to write
  WREN = 1;                    //Enable writing of EEPROM
  EECON2 = 0x55;               //Required sequence for write to internal EEPROM
  EECON2 = 0xAA;               //Required sequence for write to internal EEPROM
  WR = 1;                      //Initialise write cycle
  WREN = 0;                    //To disable write
  while(EEIF == 0);            //Checking for complition of write operation
  EEIF = 0;                    //Clearing EEIF bit
}
//------------------------------------------------------------------------------
char EEPROM_read(char address)
{
  EEADR = address;            //Address to be read
  RD = 1;                     //Initialise read cycle

  return EEDATA;              //Returning data
}
//------------------------------------------------------------------------------
#define	EEPROM_H

#ifdef	__cplusplus
extern "C" {
#endif




#ifdef	__cplusplus
}
#endif

#endif	/* EEPROM_H */